package DB;
public class DescriptorRowHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( DB.DescriptorRowHelper.id(),"DescriptorRow",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_struct_tc(DB.ColumnDescriptorHelper.id(),"ColumnDescriptor",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(18),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_enum_tc(DB.DataTypeHelper.id(),"DataType",new String[]{"TypeNull","TypeString","TypeShort","TypeInteger","TypeDouble","TypeDecimal","TypeTime","TypeDate","TypeDateTime","TypeText","TypeBinary"}),null),new org.omg.CORBA.StructMember("sqltype",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("length",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("scale",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("precision",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("nullable",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(8)),null)})));
	public DescriptorRowHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.ColumnDescriptor[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.ColumnDescriptor[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/DescriptorRow:1.0";
	}
	public static DB.ColumnDescriptor[] read(org.omg.CORBA.portable.InputStream _in)
	{
		DB.ColumnDescriptor[] _result;
		int _l_result = _in.read_long();
		_result = new DB.ColumnDescriptor[_l_result];
		for(int i=0;i<_result.length;i++)
		{
			_result[i]=DB.ColumnDescriptorHelper.read(_in);
		}

		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, DB.ColumnDescriptor[] _s)
	{
		
		_out.write_long(_s.length);
		for( int i=0; i<_s.length;i++)
		{
			DB.ColumnDescriptorHelper.write(_out,_s[i]);
		}

	}
}
